Ubuntu One should have a KDE client

Reported by Luis F. Lopez on 2009-05-11
This bug affects 249 people
Affects Status Importance Assigned to Milestone
Ubuntu One Client
Wishlist
Roberto Alsina

Bug Description

There's currently no support for KDE. There should be a KPart for visualizing the synchronizing state of files and folders of UbuntuOne and a client with tray icon to configure UbuntuOne. Maybe using a CLI-Version based on the Ubuntu One storage protocol?

Workaround: https://bugs.launchpad.net/ubuntuone-client/+bug/375145/comments/114

Joshua Blount (jblount) wrote :

Thanks for the bug report ! Ubuntu One should definitely have a solutions for our beloved KDE users, but I'm marking this as 'wishlist' for right now, because we're targeting Ubuntu with a Gnome desktop as the primary interface.

Changed in ubuntuone-client:
importance: Undecided → Wishlist
status: New → Triaged
Rodrigo Moya (rodrigo-moya) wrote :

And the ubuntuone-client-applet should work also in KDE systray, so even though a closer integration would be great, right now you can still use the software on KDE.

While this is true the many gnome dependencies prevent people from installing it on some systems like my eeePC where I simply don't have the disk space to install all needed dependencies.

Andrew Stromme (astromme) wrote :

Additionally, integration into the normal workflow is a huge part of KDE apps in general. While I can use a gnome application, that doesn't mean that I can use it without significantly adjusting how I work. I understand it likely works the same way for a kde app in a gnome environment.

It is a huge pain to have an app that doesn't play nicely with the kde workspace. This means not launching Nautilus when Dolphin or Konqueror (kpart) integration would work. This means using the new KDE systray as it matures (which I might add has fallbacks to work in other systrays). This means integrating into the KDE theme as a qt app (the gtk qt theme is blatantly broken in some areas). This means having a plasmoid that shows the status of the backup/sync. This means using the KDE Notifications to elegantly notify the user of status updates.

While I am already very thankful for the service, and I understand that code does not get written magically, I find it sad that a focus can be so intense on one environment that it completely misses another. Also, I think that having an integrated solution for sync is amazing and needed and wonderful and I can't praise Canonical enough for its forward steps in this direction.

Disclaimer: I haven't gotten an invite yet so I can't base this on much but conjecture, but from what I've seen regarding similar apps (dropbox, spideroak) they have great integration for gnome but then fall flat on their face for kde. And I must stress that the lack of open source clients prevents someone from developing their own integration. (that is a huge shame, if necessary atm)

Jonathan Jesse (jjesse) wrote :

This seems like the only way a lot of people would use this product and be a clear differential between dropbox and gnomeone.
I use dropbox right now and love it, but dislike having to have nautilus plus all the dependencies installed on my computer. A native KDE client that integrates into KDE4 needs to be a high prioirty for INITIAL release

Clay Weber (claydoh) wrote :

I agree here, though I still purchased a subscription anyway. If there isn't at some point a KDE client I imagine a decent number of people would not be willing to subscribe

Myriam Schweingruber (myriam) wrote :

Indeed, I seriously hesitate to subscribe, a KDE client is mandatory. In the era of Cloud Computing and the Semantic Desktop, neglecting KDE4 seems almost anachronistic...

Ralph Janke (txwikinger) wrote :

Why is Gnome always stated to be the primary interface? Such statements unfortunately make it easy for people to always raise the point that KDE is treated as a bastard child in Ubuntu, which I do not think is true!

Could we please make such important and nice applications cross desktop workable. It cannot be so difficult to achieve this and allow everybody a superior desktop experience.

Thanks!

Matt Parry (matthew-parry) wrote :

I agree with all that has been said.

Mark Suttleworth was asked during the 2009 ubuntu open week "(12:25:17 PM) jcastro: <nixternal> jcastro: QUESTION: Do you think Kubuntu is a blue headed step child that every seems to think it is? If not, can you put the rumours to rest, with possibly a song or a lovely poem letting everyone know just how much you really love us over in the Kubuntu community?

Mark replied - "Oh dear this makes me rather sad because I do not know what else I can do"

I really apreachaste the hard work that goes into Kubuntu and the support and love from Mark and the community towards KDE, but to tie a service into gnome that would also benefit KDE users would be great.

I agree with Andrew Stromme's comments above regarding how this could be intergrated into the KDE experience using the 4.3 system tray, kpart and plasma.

Is the API open so that someone could develop the KDE intergration?

Hi Andrew,

On Tue, 2009-05-12 at 14:16 +0000, Andrew Stromme wrote:
> Additionally, integration into the normal workflow is a huge part of KDE
> apps in general. While I can use a gnome application, that doesn't mean
> that I can use it without significantly adjusting how I work. I
> understand it likely works the same way for a kde app in a gnome
> environment.
>
> It is a huge pain to have an app that doesn't play nicely with the kde
> workspace. This means not launching Nautilus when Dolphin or Konqueror
> (kpart) integration would work. This means using the new KDE systray as
> it matures (which I might add has fallbacks to work in other systrays).
> This means integrating into the KDE theme as a qt app (the gtk qt theme
> is blatantly broken in some areas). This means having a plasmoid that
> shows the status of the backup/sync. This means using the KDE
> Notifications to elegantly notify the user of status updates.

The tray icon does not launch nautilus directly at all. What we do is
call the xdg-open command, which under GNOME opens files with
gnome-open, and under KDE does what is appropriate there (I don't know
exactly, as I'm a GNOME user/developer). So, the applet should open your
preferred browser and whatever file manager you are using, under KDE. If
it does not open the correct things, we would consider this as a bug. We
also use libnotify to pop up notifications, and so the appropriate
daemon handling those DBus methods would be used.

> While I am already very thankful for the service, and I understand that
> code does not get written magically, I find it sad that a focus can be
> so intense on one environment that it completely misses another. Also, I
> think that having an integrated solution for sync is amazing and needed
> and wonderful and I can't praise Canonical enough for its forward steps
> in this direction.

We're also very happy to have more complete integration for KDE. While
not a priority as we were working on getting to beta, as the main Ubuntu
distro is based on GNOME, we will be very happy to support both desktops
for the non-beta release in time for Karmic in October. Thanks for your
interest, and the comments!

Robert Collins (lifeless) wrote :

On Tue, 2009-05-12 at 22:37 +0000, Matt Parry wrote:

> Is the API open so that someone could develop the KDE intergration?

All the client side stuff, including the wire protocol, is open source.
Its also split into daemon and UI. You may be able to just look at the
gnome UI stuff and replace it, or failing that get the daemon and ui to
talk to the relevant matching kde services.

-Rob

Andrew Stromme (astromme) wrote :

I think I'm doing this reply correctly... it's to Rodney Dawes if this appears
screwed up.

On Tuesday 12 May 2009 18:47:11 Rodney Dawes wrote:
> The tray icon does not launch nautilus directly at all. What we do is
> call the xdg-open command, which under GNOME opens files with
> gnome-open, and under KDE does what is appropriate there (I don't know
> exactly, as I'm a GNOME user/developer). So, the applet should open your
> preferred browser and whatever file manager you are using, under KDE. If
> it does not open the correct things, we would consider this as a bug.

This is good, thank you for using the standards :)

> We also use libnotify to pop up notifications, and so the appropriate
> daemon handling those DBus methods would be used.

This is tangential to the issue at hand, but I think libnotify needs to have a
kde module that converts its messages to the new kde notification/systray
format. Who knows if that will happen, but it would be nice. (the reverse
would help as well)

> We're also very happy to have more complete integration for KDE. While
> not a priority as we were working on getting to beta, as the main Ubuntu
> distro is based on GNOME, we will be very happy to support both desktops
> for the non-beta release in time for Karmic in October. Thanks for your
> interest, and the comments!

I understand that priorities must come in, but it does sometimes feel that
when a solution has been designed with the mindset of a certain desktop
environment it tends to carry that feel with it when it is ported to others.
This often makes applications feel out of place. I can't help but wondering
that if from the start the app is designed with both de's in mind things would
turn out better.

Anyways, sorry if I seemed harsh or accusatory, I'm really not trying to be.
It is very good news that the entire client side is open source, and even
better that it is split up into daemon and client. Unfortunately I do not yet
have a ubuntu one account, but I might be interested in working on a kde
client for the service. I tried (and failed) to use dropbox, but I still very
much would like synchronized desktops between my laptop and my desktop (it
might even be enough to pull my desktop back from the lands of Arch Linux :P
to match the kubuntu on my laptop).

Thanks for the reply,

Andrew Stromme

Clicking on the icon in the system tray opens dolphin in KDE, which is the KDE filemanager, with the correct folder (~/Ubuntu One). This is not the problem. The problem is that the folder is not synced with the network folder.

Quite frankly, I do not understand how that is a problem of KDE in the first place.

And no.. on my ubuntu machine, Gnome is *not* the main desktop ;)

Ralph Janke (txwikinger) wrote :

The ubuntu one client has the same problems started under Gnome as under KDE.

Thomas Zander (zander-kde) wrote :

Rodney Dawes <email address hidden> wrote;
"the main Ubuntu distro is based on GNOME"

If that is the case then maybe you guys should think of putting a documented API online and giving away free subscriptions to a couple of KDE developers at minimum to support them to create KDE integration.

I'd be willing to state it makes business sense to avoid proclaiming or acting on the belief that KDE is somehow a second class citizen in ubuntu, and pay some KDE devs to make this client happen.

Elliot Murphy (statik) wrote :

Thomas, free subscriptions are available for everyone. I really wanted to get the service out into a wider audience as soon as we had something that could be used, even though there was plenty of functionality and integration missing. Nobody has said KDE is second class, we just need a little patience.

On Tue, May 12, 2009 at 10:53:34PM -0000, Robert Collins wrote:
> On Tue, 2009-05-12 at 22:37 +0000, Matt Parry wrote:
>
>
> > Is the API open so that someone could develop the KDE intergration?
>
> All the client side stuff, including the wire protocol, is open source.
> Its also split into daemon and UI. You may be able to just look at the
> gnome UI stuff and replace it, or failing that get the daemon and ui to
> talk to the relevant matching kde services.

for what it's worth, the daemon mostly just speaks dbus (and the wire
protocol); the only exception is the OAuthClient class in
canonical.ubuntuone.storage.syncdaemon.main, which uses gnomekeyring
to get the oauth tokens. Similarly I think the systray applet only
gnome-specific thing is the keyring. And this is because, AFAIK, there
is no cross-desktop keyring api.

A KDE client would be nice for KDE users. I use KDE too and I do not want to install additional libraries, just for the UbuntuOne client.

PS:Congrats to the UbuntuOne start, great idea!

Well, the idea is not so new. I'm currently using DropBox which seems to offer the same UbuntuOne does. The good thing about DropBox is that it works on all major platforms and it's easily integrated into KDE. It's just a daemon running and synchronizing a specified folder. No dependencies.

I think UbuntuOne could be a great way of supporting the efforts of Ubuntu. But at the moment I'm hesitating not only because UbuntuOne being Gnome centric. In general I get the impression that Kubuntu is just part of Ubuntu to also have kind of an offering for KDE users. The majority of time and love seems to be going into Ubuntu. I hope to be proven wrong soon!

Paul Sladen (sladen) wrote :

For reference, on 2009-06-08, Elliot (see above) did post a request for a KDE/Qt developer:

  http://identi.ca/notice/5077420
  "I need to hire one awesome KDE hacker. Must work hours overlapping UTC and UTC-4, and know stuff that I don't. References/code required."

If anyone feels strongly and has the skills in question, it might be worth following up on that.

dJedGe (jerome-baril) wrote :

I was happy when I received UbuntuOne invitation. Unfortunatly, it doesn't work on Kubuntu afaik ! Waiting for a Kubuntu integration too.

Bruno Vernay (brunovernay) wrote :

+1 doesn't work on KDE. I installed it but when I click the icon in the "Internet" menu, it appears in the taskbar for 3-4 seconds then disappear. Sad to see that Dropbox didn't have a KDE client either.

It should've left the taskbar and gone to sit in your tray. Maybe if you
expand it? Then when in Dolphin you drop anything into ~/Ubuntu\ One/ the
icon in the tray will spin as it syncs. Worked fine here on Kubuntu Jaunty.

Bruno Vernay (brunovernay) wrote :

Sorry
I don't even have a ~/Ubuntu\ One/ folder
Bruno

I agree, a KDE version is crucial. Can you also change the directory for UbuntuOne? I try to minimize the number of folders in the root of my /home partition...

Utgarda (utgarda) on 2009-10-29
description: updated

+1 It's a pity that Ubuntu One is not intergated in Kubuntu

glass.dimly (jmjohn) wrote :

Ubuntu One or Dropbox....

Dropbox requires Nautilus, so does Ubuntu one. Neither has KDE support. Dropbox, however, has Windows support. Ubuntu one is great but needs to beat out Dropbox to be effective. One way to do that is to add KDE support (written from my Pentium III Mepis box, which longs to be synced with my dual core Ubuntu laptop)

Ferenc Nagy (nferenc) wrote :

@glass.dimly you can use dropbox with kde, I also use it. http://antrix.net/journal/techtalk/dropbox_kde.comments

Shaikailash (steve-doc-brown) wrote :

Differentiation in the linux world is an Achilles' heel. KDE vs Gnome is not a good things! Kubunt, expecially now with kde 4, should not be treated as a minor brother of Ubuntu.

I'm waiting for kde integration as well

Halli (halli) wrote :

hi, i want to support this whish because i'm using ubuntu on my netbook and kubuntu on my desktop-pc, so accessing my data on ubuntu one at my desktop-pc is only possible via web-frontend

MohamadReza Mirdamadi (mohi) wrote :

I want to support this idea that there should be a KDE client that also supports Knotes, KAdressbook and the other specs and apps that a KDE user deals with always.

At least if you think its gonna be next step, you may implement the support for Kontact for this existing client, then work on the KDE client.

Luis F. Lopez (luis.lopez) wrote :

Very good news!

Harald Sitter (https://launchpad.net/~apachelogger) has just announced a Ubuntu One KDE Tech Preview, more info available on his blog:

http://apachelog.blogspot.com/2009/11/ubuntu-one-kde-tech-preview.html

There's a PPA where you can download it:

https://launchpad.net/~apachelogger/+archive/ubuntuone-kde

Thanks Harald!

P.S: show your love and join https://edge.launchpad.net/~we-love-harald :)

Changed in ubuntuone-client:
status: Triaged → In Progress
assignee: nobody → Harald Sitter (apachelogger)
Etienne Perot (etienneperot) wrote :

It's sad to see Ubuntu One being officially ported to Windows before being ported to Kubuntu:
http://www.kryogenix.org/days/2010/01/22/pycon-sprint-to-get-ubuntu-one-on-windows

+1 for Ubuntu one on KDE~

Harald Sitter (apachelogger) wrote :

I can't pursue the development and further integration of ubuntuone at this point. I also need to work for money sometimes ;)

Changed in ubuntuone-client:
assignee: Harald Sitter (apachelogger) → nobody
status: In Progress → Confirmed

I am willing to donate to further development.

On Wednesday, March 3, 2010, Harald Sitter <email address hidden> wrote:
> I can't pursue the development and further integration of ubuntuone at
> this point. I also need to work for money sometimes ;)
>
> ** Changed in: ubuntuone-client
>       Status: In Progress => Confirmed
>
> ** Changed in: ubuntuone-client
>     Assignee: Harald Sitter (apachelogger) => (unassigned)
>
> --
> ubuntuone should have a kde client
> https://bugs.launchpad.net/bugs/375145
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu One Client: Confirmed
>
> Bug description:
> There's currently no support for KDE.  There should be  a KPart for visualizing the synchronizing state of files and folders of UbuntuOne and a client with tray icon to configure UbuntuOne.  Maybe using a CLI-Version based on the Ubuntu One storage protocol?
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntuone-client/+bug/375145/+subscribe
>

I have U1 and Dropbox right now. Please let us know whether you're serious about supporting other desktops and window managers. The first online storage app that enables me to have a Gnome-free desktop will get my paid subscription.

Danté (dante-ashton) wrote :

I am also willing to fund development.

Whilst the client does work in Kubuntu, the use of GNOME's keyring is a problem. As are a few libraries.

We're not asking for the world on a platter, we're simply asking that the client is desktop neutral/KDE intergrated, that's all.

Christophe Olinger (olingerc) wrote :

"Thanks for the bug report ! Ubuntu One should definitely have a solutions for our beloved KDE users, but I'm marking this as 'wishlist' for right now, because we're targeting Ubuntu with a Gnome desktop as the primary interface."

This was 8 months ago and lucid is in feature freeze. So for two release cycles no ubuntu one for kde. How sad :-(

Also, no ubuntu one music store, no new theme, no software center, no lernid. Does Canonical really not care at all?

Sorry for the unproductive comment, but this really makes me sad.

Danté (dante-ashton) wrote :

I do wish to support Ubuntu and Kubuntu's development, but until we get a proper service, I'd rather go with the desktop-agnostic dropbox daemon.

Never fear, when (if) Ubuntu One turns into Kubuntu One, I will gladly pay.

Until then, asta la vista....

summary: - ubuntuone should have a kde client
+ Ubuntu One should have a KDE client
Changed in ubuntuone-client:
assignee: nobody → Harald Sitter (apachelogger)
Changed in ubuntuone-client:
status: Confirmed → In Progress
Changed in ubuntuone-client:
assignee: Harald Sitter (apachelogger) → nobody
status: In Progress → Confirmed
Roberto Alsina (ralsina) on 2010-12-20
Changed in ubuntuone-client:
assignee: nobody → Roberto Alsina (ralsina)
Changed in ubuntuone-client:
assignee: Roberto Alsina (ralsina) → Battt (baptalmendros-gmail)
assignee: Battt (baptalmendros-gmail) → nobody
assignee: nobody → Battt (baptalmendros-gmail)
assignee: Battt (baptalmendros-gmail) → nobody
Rodney Dawes (dobey) on 2011-06-14
Changed in ubuntuone-client:
assignee: nobody → Roberto Alsina (ralsina)
54 comments hidden view all 134 comments
Nevasith (nevasith) wrote :

Hi from another unlucky soul trying to get Ubuntu One support for KDE. I really enjoyed the idea of Ubuntu one (and its quite nice price for large storage space wherever I go). Unfortunately, the new ubuntu gui sent me running like mad to KDE and, much to my surprise I am really pleased with the current stability of Kubuntu and taking how the unity looks and works, I'm not going back to normal ubuntu. Therefore, it would be great to have native support for this - so much needed- feature.

Regards

oldos2er (oldos2er) wrote :

Another vote for Ubuntu One for KDE; an alternative that would suit me would be CLI client tools for Ubuntu One. I don't really need a plasma widget or systray icon, though they would be nice.

It has more priority a KDE client than a windows client. Maybe not commercially speaking, but philosophically it is a must.

sheff (sheff54) wrote :

I would also like to see a ubuntuone kde client.

The client for windows has been released and it really is a shame that there isnt one for KDE.

Roberto Alsina (ralsina) wrote :

The windows client is not antithetical to the KDE client, but rather the opposite.

Thanks to the windows client, there is now a working Qt-based UI for ubuntu one. After we have it working well on Linux, a large chunk of the KDE client will be already there.

On 10/06/2011 11:56 PM, Roberto Alsina wrote:
> The windows client is not antithetical to the KDE client, but rather the
> opposite.
>
> Thanks to the windows client, there is now a working Qt-based UI for
> ubuntu one. After we have it working well on Linux, a large chunk of the
> KDE client will be already there.
>

Thanks, Robert.

I trust in you and the work force behind Ubuntu One project team.
As far as you can see, there's a lot people awaiting for this client.

I think nobody picked up and continued Apachelogger work due his
frustrating experience.

Don't let us down !

Keep going with your good work !

Abrazo criollo :)

--
Guillermo Lisi
http://ubuntu.org.ar
http://guillermolisi.com.ar
http://geeksroom.com

Still longing for an Ubuntuone KDE client as well ! Who cares about a Windows client ?

Blackpaw (blackpaw) wrote :

>Who cares about a Windows client ?

Windows users? :)

On 7 October 2011 22:26, Swâmi Petaramesh <email address hidden> wrote:

> Still longing for an Ubuntuone KDE client as well ! Who cares about a
> Windows client ?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/375145
>
> Title:
> Ubuntu One should have a KDE client
>
> Status in Ubuntu One Client:
> Confirmed
>
> Bug description:
> There's currently no support for KDE. There should be a KPart for
> visualizing the synchronizing state of files and folders of UbuntuOne
> and a client with tray icon to configure UbuntuOne. Maybe using a
> CLI-Version based on the Ubuntu One storage protocol?
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntuone-client/+bug/375145/+subscriptions
>

--
Lindsay

Tomasz Czapiewski (xeros) wrote :

Well... waiting for so long for KDE client...
Many people which I know already got tired and switched to concurent services because the lack of KDE client for Ubuntu One on Kubuntu...
This can be the time to get them back.

Changed in ubuntuone-client:
assignee: Roberto Alsina (ralsina) → David Lerouvillois (lerouvillois)
assignee: David Lerouvillois (lerouvillois) → nobody
Roberto Alsina (ralsina) on 2011-10-09
Changed in ubuntuone-client:
assignee: nobody → Roberto Alsina (ralsina)
Joeman1 (jgiles) wrote :

Yeah, what a real slap in the face releasing a Windows client before a KDE client.

Lets start some real community work here and get that KDE client released. I would pay for a subscription to support the efforts, but it doesn't work on KDE so I am opting to vote with my wallet!

Joe

jensoko (jensoko) wrote :

I migrate from Kubuntu to Unity to Windows in my work habits. I'd really like to be able to use a linux-native cloud solution. Looks like it's still Dropbox for now...

Have a look at ownCloud (http://www.onwcloud.org). It's from KDE world but works pretty much everywhere where WevDAV is available. And it's real open source on the server side as well.

Kent Knudsen (forestmountain) wrote :

Link-spell is corrected - Have a look at ownCloud (http://www.owncloud.org). It's from KDE world but works pretty much everywhere where WevDAV is available. And it's real open source on the server side as well.

Alfredo Vásquez (aruken) wrote :

While look and feel integration is quite important, and also not needing to install many dependencies would be a great bliss for many, I think there is another issue that is more serious: lack of integration with kde apps.

Right click stuff on nautilus and you get a sub-menu with actions related to ubuntu one. Open a folder from the ubuntu one client and you get nautilus instead of dolphin. Want to sync your stuff from contact? Nope, sorry, that option is only available for evolution.

Probably Kubuntu gets its share of love, but things like this make people feel Kubuntu is the unwanted step child.

Harald Sitter (apachelogger) wrote :

Unwanted by whom? Canonical? IIRC Mark Shuttleworth established in May that Kubuntu is a tier 2 platform for him. The Kubuntu Team (which consists mostly of volunteers) is entirely dedicated to Kubuntu's cause however. We instead recommend using the cloud solution ownCloud. Which is created by the KDE community and released as free software thus meeting exactly what Kubuntu promises the users - free software from KDE.

Alfredo Vásquez (aruken) wrote :

It was an expression to say that Kubuntu doesn't get a lot of attention from Canonical. And from what you stated, it is in fact more of a community effort than an actual Canonical project. And I am thankful to the Kubuntu team for their efforts.

And about the ownCloud, doesn't it require to set up your own server? that's more than fine for a company (for example), but a home user might not find it as useful. While Ubuntu One already offers a running server which is maintained by Canonical. I do find it interesting and all, but it's not really what I'm looking for right now.

Harald Sitter (apachelogger) wrote :

Dropbox is a good option then.

FWIW, I suppose it is just a matter of time until one can get hosted owncloud installations to use.

mogliii (mogliii) wrote :

About owncloud:

There is no stable desktop sync client yet (sync local folders as for ubuntuone). And the normal user won't know how to set up an owncloud server (also you need payed hosting vs free ubuntuone account).

http://owncloud.org/discover/
In development
[...], desktop sync client, [...]

Rodney Dawes (dobey) on 2012-02-08
no longer affects: ubuntu
Marco Parillo (marco-parillo) wrote :

Is this the way to get Ubuntu One with Kubuntu?
sudo apt-get install ubuntuone-control-panel-qt

Hat tip:
http://askubuntu.com/questions/37105/is-there-an-ubuntu-one-client-for-kubuntu
Second response

Marco Parillo (marco-parillo) wrote :
Download full text (4.6 KiB)

It seems to work on Kubuntu 12.04 Beta 1 with all updates applied:
1. I opened a Konsole window
2. I typed: sudo apt-get install ubuntuone-control-panel-qt
3: I gave it my password.
4: I was warned about extra packages (see bottom), and was given the option: Do you want to continue [Y/n]?
5: I hit return
6: I got my shell prompt back, and typed exit
7: I started the Kickoff Application Launcher and typed Ubuntu in the seach box, and Ubuntu One was listed.
8: I selected Ubuntu One
9: The Ubuntu One application came up, and it looked to my untrained eyes like a normal KDE app.
10: I signed in with my existing U1 account
11: A message indicator looking like an envelope appeared saying One application running
12: I opened Dolphin, and could see my Ubuntu One folder with my files appearing

P.S. It seemed to have installed a whole lot of dependencies. Are libglib and libgtk indicators that I now have installed parts of Gnome on my vanilla KDE Kubuntu virtual machine?

The following extra packages will be installed: aptdaemon aptdaemon-data gir1.2-atk-1.0 gir1.2-dbusmenu-glib-0.4 gir1.2-dee-1.0 gir1.2-freedesktop gir1.2-gdkpixbuf-2.0 gir1.2-gtk-3.0 gir1.2-indicate-0.7 gir1.2-javascriptcoregtk-3.0 gir1.2-notify-0.7 gir1.2-pango-1.0 gir1.2-soup-2.4 gir1.2-unity-5.0 gir1.2-vte-2.90 gir1.2-webkit-3.0 gnome-keyring indicator-messages indicator-status-provider-mc5 libcap2-bin libdee-1.0-4 libgail-3-0 libgck-1-0 libgcr-3-1 libgcr-3-common libgee2 libgeoclue0 libglib2.0-bin libglib2.0-data libgtk-3-0 libgtk-3-bin libgtk-3-common libindicator-messages-status-provider1 libindicator3-7 libjavascriptcoregtk-3.0-0 libnotify4 libpam-cap libpam-gnome-keyring libprotobuf7 libprotoc7 librsvg2-common libunity9 libvte-2.90-9 libvte-2.90-common libwebkitgtk-3.0-0 libwebkitgtk-3.0-common protobuf-compiler python-aptdaemon python-aptdaemon.gtk3widgets python-configglue python-defer python-dirspec python-pam python-protobuf python-pyinotify python-serial python-twisted-bin python-twisted-core python-twisted-names python-twisted-web python-ubuntu-sso-client python-ubuntuone-client python-ubuntuone-control-panel python-ubuntuone-storageprotocol python-zeitgeist ubuntu-sso-client ubuntu-sso-client-gtk ubuntu-sso-client-qt ubuntuone-client ubuntuone-control-panel ubuntuone-control-panel-common ubuntuone-installer zeitgeist-core Suggested packages: libcap-dev geoclue gvfs python-pam-dbg python-pyinotify-doc python-wxgtk2.8 python-wxgtk2.6 python-wxgtk python-twisted-bin-dbg python-tk python-gtk2 python-glade2 python-qt3 ubuntuone-client-dbg ubuntuone-client-proxy ubuntuone-control-panel-gui zeitgeist-datahub Recommended packages: ubuntu-sso-client-gui The following NEW packages will be installed: aptdaemon aptdaemon-data gir1.2-atk-1.0 gir1.2-dbusmenu-glib-0.4 gir1.2-dee-1.0 gir1.2-freedesktop gir1.2-gdkpixbuf-2.0 gir1.2-gtk-3.0 gir1.2-indicate-0.7 gir1.2-javascriptcoregtk-3.0 gir1.2-notify-0.7 gir1.2-pango-1.0 gir1.2-soup-2.4 gir1.2-unity-5.0 gir1.2-vte-2.90 gir1.2-webkit-3.0 gnome-keyring indicator-messages indicator-status-provider-mc5 libcap2-bin libdee-1.0-4 libgail-3-0 libgck-1-0 libgcr-3-1 l...

Read more...

teh603 (darth-giles) wrote :

This changed a bunch of packages and somehow killed my Logitech trackball. The trackball worked again when I restarted using the installer CD, so I know it was one of those packages and not the trackball.

________________________________

2. I typed: sudo apt-get install ubuntuone-control-panel-qt

Roberto Alsina (ralsina) wrote :

@teh603 that problem with your trackball can't be connected to ubuntu one. It could be one of the updates, but nothing ubuntu one depends on should have any connection to the trackball either.

@Marco a lot of those dependencies are because of gnome-keyring. Ubuntu One supports the txsecrets API so if kwallet supports txsecrets, that dependency could go away, and that list decrease significantly.

Also, it seems you installed ubuntuone-installer wihich is a gtk app, you don't need it if you are installing ubuntuone-control-panel-qt already.

Rodney Dawes (dobey) wrote :

@Ralsina, there are currently hard dependencies in the packages on gnome-keyring and ubuntuone-installer. The former, because people were having problems with keyring not being installed for some unknown reason, and latter for system integration. However, neither one explains why many of the listed packages were installed. Though, a lot of stuff is from Recommends: installs, and much of it from ubuntu-sso-client-gtk getting installed as well.

teh603 (darth-giles) wrote :

I know it shouldn't, but it did. I have no idea of the why or wherefore; all I really know how to do is basic diagnostic procedures, how to use apport, and do limited patch testing. That's it. So if I install a mess of packages and something breaks my trackball, that's what I report.

I'm probably the last user you want using Ubuntu because I'm so unskilled, but on the other hand I'm closer to our target audience if we ever solve Bug #1.

________________________________
From: Roberto Alsina <email address hidden>

@teh603 that problem with your trackball can't be connected to ubuntu
one. It could be one of the updates, but nothing ubuntu one depends on
should have any connection to the trackball either.

Fahad Abid (drfahadabid-t) wrote :

I aslo request to make a KDE varaint of Ubuntu One well integrated with system tray and Dolphin File manager.
Thanks.

description: updated
Marco Parillo (marco-parillo) wrote :

ubuntuone-control-panel-qt is now available on the Muon Software Center.
There is no longer any need to open a Konsole to get to a command line.

Simply click on the blue K to start the Kickoff Application Launcher, pick the Computer Tab, and then Muon Software Center to start Muon.

Then in the search box , enter UbuntuOne, and install.

Note that it still seems to drag in many gnome dependences.

Marius B. Kotsbak (mariusko) wrote :

Well, that is just the control panel. Ubuntu One must also be set to start automatically, there should be a status icon, and it should be integrated in the menus in the file manager in KDE (Konqueror).

Roberto Alsina (ralsina) wrote :

@mariusko If you start the control panel with --with-icon --minimized you have a status icon.

The client is fully functional without integrating into Dolphin, but if you really want it, here's a plugin for it: http://www.softwareontheside.info/2012/05/kde-ubuntu-one-dolphin-plugin.html

UbuntuOne actually works for my wife, who both has ubuntu-desktop and kubuntu-destop installed on her laptop, but she always uses KDE and never Gnome/Unity.

Her folders keep perfectly in sync in KDE, whitout her having anything to do to start UbuntuOne. So I assume that "it works as expected"...

flying sheep (flying-sheep) wrote :

since there is confusion about what “works as expected comprises, i’ll give you a full informal spec.

“Feature-complete Ubuntu One client for KDE” means:

1. plasma-widget usable in the tray with the following functionality:

    1. its icon shows the current sync status
    2. it provides access to controls (such as logout/exit/jump-to-directory)
    3. it provides a detailed status (such as space left)
    4. it provides settings (such as en/disabling notifications)

2. integration into dolphin like git/svn: http://aeciosan.files.wordpress.com/2012/10/dophin-git.png

    1. context-sensitive right-click menu (only available in synched directories, only providing contextually useful commands such as ignore or unignore)
    2. status icons per file (synched, synching, ignored)

3. both parts being available in ubuntu’s official package repo.

Roberto Alsina (ralsina) wrote :

@flying-sheep we are not going to write a plasma widget. We try to provide as much cross-platform compatibility as we can, but we are not going to write that.

If you check the current version, using --with-icon in the control panel will show you:

1. Icon that shows the sync status
2. A way to connect/disconnect (there is no logout, only authorized/unauthorized devices)
3. A way to jump to the folder
4. shows current and recent transfers
5. Access to the control panel (where you can unauthorize your device, add/remove folders from syncing, etc).
6) Access to the web page (where you can do yet other things).

We are not providing emblems and context menus in the file managers in none of our supported platforms except for Nautilus (and honestly, we support it there because it's already written), but the APIs are there, I posted a link to code that uses that to provide them.

The only part not packaged is the dolphin integration, which we'll be happy to help package, but is a 3rd party tool.

Roberto Alsina (ralsina) wrote :

Forgot: assuming KDE has an implementation of the secrets DBUS API, Ubuntu One will use it. Assuming notifications are compatible with unity (are they?) you should also get notifications.

If the notifications are not compatible, adding support for KDE notifications is very simple, and I will be happy to help implementing them.

Marco Parillo (marco-parillo) wrote :

ralsina: Thank you for posting here.

Notifications appear to work for me, possibly since Kubuntu 12.04, and certainly since Kubuntu 12.10 and continuing with daily 13.04 builds.
Basically when I login to KDE or add or update file(s) in the Ubuntu One tree, I see a notification that synchronization has started, and a second notification once it completes.

Roberto Alsina (ralsina) wrote :

@marco-parillo awesome, crossing that one off my list then :-)

Marco Parillo (marco-parillo) wrote :

ralsina: So may I add another wish-list item?
Thanks for the tip on
 --with-icon
I googled it, and found:
 ubuntuone-control-panel-qt --with-icon &
on
 https://one.ubuntu.com/help/faq/how-do-i-set-up-ubuntu-one-on-kubuntu/

But, I generally only go to the control panel once, when I set up UbuntuOne on a new virtual machine instance.
So, could the with icon be a selectable option, maybe on the Settings Tab, in the group of check-boxes along with Connect Automatically; the two Automatic Sync, and the Allow Notifications options?

Marco Parillo (marco-parillo) wrote :

BTW, the same comments apply to Xubuntu as well as Kubuntu. Notifications appear to work similarly, but neither displays the indicator in the KDE Panel / Xubuntu Top Menu.

Roberto Alsina (ralsina) wrote :

@marco-parillo there's really no need for that option since it's not something the user wants to change except if he changes desktops.

What I would do is a separate ubuntuone-kde-integration package that handles autostarting the control panel that way. It would be a tiny thing, basically just a desktop file. OTOH, the name feels wrong since like you said xfce needs it too (and I assume so does LXDE and minimal WMs).

Marco Parillo (marco-parillo) wrote :

I guess what I am trying to say (for me at least), I generally only launch the control panel once, to set-up Ubuntu one the first time, and would not want it to auto-launch with each re-boot, but I would be happy to have the option to display the indicator with each re-boot without launching the control panel.

Roberto Alsina (ralsina) wrote :

If you are using a desktop that supports indicators, since 12.10 there is a ubuntuone-indicator which will display the exact same menu as contro panel's --with-icon option, without having to start control panel itself.

Roberto Alsina (ralsina) wrote :

Oops, sorry, I got slightly confused, it being 11PM on a saturday ;-)

There's a ubuntuone-indicator, done by rye, which has been available for a while, and a sync menu, which is new.
More information from the good people at OMG Ubuntu!

http://www.omgubuntu.co.uk/2012/09/have-you-seen-ubuntus-new-sync-menu

Displaying first 40 and last 40 comments. View all 134 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions